IPCALC(1)

NOME
ipcalc - Esegue semplici azioni su indirizzi IP

SINTASSI
ipcalc [OPZIONI]... <indirizzo IP>[/prefisso] [netmask]

DESCRIZIONE
ipcalc fornisce un modo semplice per calcolare informazioni IP per un host. Le varie opzioni specificano quali informazioni ipcalc dovrà mostrare sullo standard output. Può essere specificata più di una opzione. Deve essere sempre specificato un indirizzo IP su cui operare. Molte operazioni richiedono inoltre una netmask o anche un prefisso CIDR.

OPZIONI

-b, --broadcast
    Mostra l'indirizzo di broadcast per l'IP e la netmask dati.

-h, --hostname
    Mostra il nome dell'host per l'indirizzo IP dato.

-m, --netmask
    Calcola la netmask per l'indirizzo IP dato. Assume che l'indirizzo IP sia in una rete di classe A, B, o C completa. Molte reti non usano le netmask di default, in tali casi sarà ritornato un valore inappropriato.

-p, --prefix
    Mostra il prefisso per la mask/indirizzo IP dati.

-n, --network
    Mostra l'indirizzo di rete per indirizzo IP e netmask dati.

-s, --silent
    Non mostra i messaggi d'errore.

AUTORI
Erik Troan <ewt@redhat.com>
Preston Brown <pbrown@redhat.com>

TRADUTTORE
Salvatore Di Pietro <salvuz78@virgilio.it>

SEGNALAZIONE BUG
Segnala i bug al nostro sistema di bugtracking: http://bugzilla.redhat.com/bugzilla.

COPYRIGHT
Copyright © 1997-2001 Red Hat, Inc.
Questo è software libero; vedi le condizioni di distribuzione allegate al sorgente. Non viene data alcuna garanzia, neppure quella implicita di NEGOZIABILITÀ o di APPLICABILITÀ PER UN PARTICOLARE SCOPO.

VEDI ANCHE
ipcalc(3)